> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> Get Bearer Token for Access to API services. Use Basic Authentication with client_id as username and client_secret as password.



## OpenAPI

````yaml POST /auth/token
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /auth/token:
    post:
      tags:
        - Auth
      summary: Authentication
      description: >-
        Get Bearer Token for Access to API services. Use Basic Authentication
        with client_id as username and client_secret as password.
      operationId: authenticate
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - grant_type
                - scope
              properties:
                grant_type:
                  type: string
                  description: OAuth grant type (e.g. client_credentials)
                  example: client_credentials
                scope:
                  type: string
                  description: Requested scopes (space-separated)
                  example: card,us_account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessTokenResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BasicAuth: []
components:
  schemas:
    AccessTokenResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AccessTokenData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    AccessTokenData:
      type: object
      properties:
        access_token:
          type: string
        expires_in_seconds:
          type: integer
        scope:
          type: string
          example: card,us_account
        token_type:
          type: string

````